package com.gree.mall.manager.enums.workorder;


import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;


/**
 * 派单状态,dispatchStatus字段不能单独使用，一定要结合orderStatus使用，只有orderStatus=服务人员处理中的时候 dispatchStatus才有效
 */
@Getter
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public enum DispatchStatusEnum implements BaseEnum {
    DJS("DJS","待接收"),
    DYY("DYY","待预约"),
    DQD("DQD","待签到"),
    DCJ("DCJ","待采集"),
    YCJ("YCJ","已采集"),
    YBWG("YBWG","已报完工"),//建议使用orderStatus的完工状态
    SQGY("SQGY","工程师申请改约"),
    SQGP("SQGP","工程师申请改派"),

    //以下2个状态，可能不需要
    YHGY("YHGY","用户改约"),
    YQD("YQD","已签到")
    ;

    @EnumValue
    @JsonValue
    private final String key;
    private final String remark;

}
